#
# spec file for package ucdsnmp (Version 4.2.6)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake openssl openssl-devel popt tcpd
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool openssl-devel perl popt-devel rpm tcpd

Name:         ucdsnmp
License:      Other License(s), see package
Version:      4.2.6
Release:      152
Summary:      UCD SNMP Daemon
Group:        Productivity/Networking/Other
URL:          http://sourceforge.net/projects/net-snmp
Provides:     snmp
Obsoletes:    snmp
PreReq:       %insserv_prereq %fillup_prereq
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ucd-snmp-%{version}.tar.bz2
Source1:      rc.ucd-snmp
Source2:      snmpd.conf
Source3:      README.SuSE
Source4:      rc.snmptrapd
Source5:      ucdsnmp.logrotate
Source6:      test_installed
Patch:        ucd-snmp-%{version}-audit.diff.bz2
Patch1:       ucd-snmp-%{version}-acinclude.diff
Patch2:       ucd-snmp-%{version}-autoconf.diff
Patch3:       local-perl.diff
Patch4:       snmp_api_426.diff
Patch5:       socket_path.diff
Patch6:       ucd-snmp-%{version}-ifnames.diff 
Patch7:       ucd-snmp-%{version}-uptime.diff 
Patch8:       ucd-snmp-%{version}-nogetdevs.diff
Patch9:       ucd-snmp-%{version}-confpath.diff
Patch10:      ucd-snmp-%{version}-scapi.diff
Patch11:      ucd-snmp-%{version}-64bit.diff
Patch12:      ucd-snmp-4.2.6-dlopen-conf.diff

%description
UCD SNMP daemon.



Authors:
--------
    Wes Hardaker <wjhardaker@ucdavis.edu>

%prep
%setup -q -n ucd-snmp-%{version}
%patch -p1
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8
%patch9 -p1
%patch10 -p1
%patch11
%patch12

%build
%{suse_update_config -fl}
libtoolize --copy --force
cat /usr/share/aclocal/libtool.m4 >> aclocal.m4
#automake --add-missing
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -I/usr/include/db1 -Wall" \
	./configure --prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--with-sys-contact="root@localhost" \
	--with-mib-modules="host ucd-snmp/pass_persist ucd-snmp/dlmod" \
	--with-persistent-directory=/var/lib/ucd-snmp \
	--with-sys-location="unknown" \
        --with-libwrap=%_prefix \
	--with-defaults \
	--enable-shared \
	--disable-static \
	--without-root-access \
	--enable-ipv6 \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=/etc
make all

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/snmpd
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/snmpd.conf
ln -sf ../../etc/init.d/snmpd $RPM_BUILD_ROOT/usr/sbin/rcsnmpd
install -m 644 %_sourcedir/README.SuSE .
install -m 644 %_sourcedir/rc.snmptrapd .
rm testing/.cvsignore
install -m 744 %_sourcedir/test_installed testing/
mkdir -p /usr/share/snmp/snmpconf
mkdir -p $RPM_BUILD_ROOT/usr/lib/ucd-snmp/agents
install -m 700 -d $RPM_BUILD_ROOT/var/run/agentx
cp -ar local/* $RPM_BUILD_ROOT/usr/share/snmp/snmpconf/
chmod go-rwx $RPM_BUILD_ROOT/usr/share/snmp/snmpconf/*
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/ucdsnmp
mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/ucd-snmpd.log
# uncomment to enable automatic testing.  This fails intermittently
# on random tests, probably load related, so it's not permananently
# enabled.
 cd /usr/src/packages/BUILD/ucd-snmp-4.2.6/testing/ || \
	 ( echo "can't find testing"; exit 100)
 ./RUNTESTS -a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv snmpd}

%postun
%{insserv_cleanup}

%files
%doc AGENT.txt README.agentx COPYING ChangeLog EXAMPLE.conf EXAMPLE.conf.def FAQ NEWS PORTING README README.cmu README.snmpv3 TODO README.thread README.SuSE rc.snmptrapd 
%doc testing config.h mib_module_config.h
%config(noreplace) /etc/snmpd.conf
%config /etc/init.d/snmpd
/usr/bin/*
/usr/include/ucd-snmp
%dir /usr/lib/ucd-snmp
%dir /usr/lib/ucd-snmp/agents
%_libdir/*
%doc %{_mandir}/man?/*
/usr/sbin/*
/usr/share/snmp
/var/lib/ucd-snmp
/var/run/agentx
/var/log/ucd-snmpd.log
%config(noreplace) /etc/logrotate.d/ucdsnmp

%changelog -n ucdsnmp
* Mon Feb 16 2004 - ro@suse.de
- added support for dlmod (workaround configure problem)
- previous 64-bit fix went just one bit too far, fixed (#33958)
* Tue Jan 20 2004 - ro@suse.de
- fixed some 64-bit issues (#33958)
* Thu May 22 2003 - ckm@suse.de
- Added test_installed script to allow running the testsuite on an
  installed package for QA.
- Clean up file list for rpm v4
* Tue May 06 2003 - ckm@suse.de
- removed automatic testing after build
* Sat May 03 2003 - ckm@suse.de
- fixed several sizeof() bugs in audit patch (#26009)
* Wed Feb 05 2003 - ckm@suse.de
- changed persistent-directory to /var/lib/ucd-snmp
- removed perl-SNMP requires
* Thu Dec 05 2002 - ckm@suse.de
- changed reload to restart in logrotate(#22266)
* Sat Nov 23 2002 - ckm@suse.de
- fix memset bug in snmplib/scapi.c
* Tue Nov 05 2002 - ckm@suse.de
- update to version 4.2.6
- renamed ucdsnmpd.conf to snmpd.conf, init script renames existing
  file.  Patched to use /etc/snmpd.conf and /etc/snmp.conf(#21224)
- Init script is now more verbose when starting, stopping, and
  checking status of sub-agents(#21213)
* Mon Oct 28 2002 - ro@suse.de
- logfile may not be in filelist
- marked logrotate-config as config(noreplace)
* Mon Oct 28 2002 - okir@suse.de
- fix ifname truncation which prevented osasnmpd start(#21264)
- fix uptime string truncation
* Tue Oct 15 2002 - ckm@suse.de
- Added logrotate entry to /etc/logrotate.d (#20843)
- Changed mode of logfile from 644 to 600
* Mon Aug 26 2002 - mmj@suse.de
- Fix audit patch not to use sizeof() to compute str. len. [#16418]
* Mon Aug 19 2002 - ro@suse.de
- added prereqs (#18010)
* Thu Aug 15 2002 - ckm@suse.de
- added perl-SNMP to requires (bug #17581)
* Tue Aug 13 2002 - ro@suse.de
- fixed permissions below snmpconf (dirs need a x-bit)
* Wed Aug 07 2002 - ckm@suse.de
- Added autoloading of sub-agents in /usr/lib/ucd-snmp
- Patch to change the location of where snmpd creates its
  domain socket for agentx
* Tue Jul 09 2002 - ckm@suse.de
- removed sourcing of rc.config from init script
* Tue Jun 11 2002 - ckm@suse.de
- fixed typo in spec file
* Tue Jun 11 2002 - ckm@suse.de
- Added an example init script in pacakges/ucdsnmpd for snmpdtrapd,
  bugzilla #12155
- Created a much simpler ucdsnmpd.conf with a RO and RW (not enabled)
  community, bugzilla #16205
- updated to version 4.2.5
- added new 64-bit patch from bk.
* Thu May 16 2002 - ckm@suse.de
- added the snmpconf scripts, bug 16205
* Tue Apr 16 2002 - ckm@suse.de
- fixed a syntax error in the init script.
* Fri Mar 08 2002 - ro@suse.de
- fixed sscanf format problems
- leave audit patch uncompressed but remove "Only in .." lines
* Sun Mar 03 2002 - bk@suse.de
- add 64bit fix for snmp_api.c
- use %%_libdir
* Fri Mar 01 2002 - ckm@suse.com
- removed '-f -L' (foreground and stderr/out logging and added
  '-l /var/log/ucd-snmpd.log' to init script
- removed --with-logfile from configure
- added small README.SuSE describing these changes.
* Thu Feb 28 2002 - ckm@suse.com
- updated to version 4.2.3
- applied T. Biege's audit patches which addresses security issues
  raised in CERT Advisory CA-2002-03
* Fri Jan 25 2002 - cihlar@suse.cz
- fixed options of snmpd to create pid file [#12911]
* Mon Jan 21 2002 - ckm@suse.de
- added heap overflow patch
* Mon Jan 14 2002 - ro@suse.de
- fixed fillup_and_insserv call
* Wed Jan 09 2002 - cihlar@suse.cz
- updated to version 4.2.3
- removed obsolete patches security and security3
- from patch security2 removed parts with struct sbuf
- fixed to not compile in %%install
- removed START_SNMPD
- added %%clean
* Mon Sep 10 2001 - hmuelle@suse.de
- added --without-root-access to configure-section
* Wed Sep 05 2001 - hmuelle@suse.de
- fixed an string format issues by ucd-snmp-4.2.1-bufferoverflow.dif
  strcpy => strncpy
- fixed an string format issues by ucd-snmp-4.2.1-bufferoverflow.dif
  strcpy => strncpy
* Wed Aug 15 2001 - hmuelle@suse.de
- added security patches
- ucd-snmp-4.2.1-security.dif
  /tmp race and setgroups() privilege problem
- ucd-snmp-4.2.1-security2.dif
  Various buffer overflow and format string issues.
- ucd-snmp-4.2.1-security3.dif
  One signedness problem in ASN handling.
- added security patches
- ucd-snmp-4.2.1-security.dif
  /tmp race and setgroups() privilege problem
- ucd-snmp-4.2.1-security2.dif
  Various buffer overflow and format string issues.
- ucd-snmp-4.2.1-security3.dif
  One signedness problem in ASN handling.
* Wed Jun 13 2001 - ro@suse.de
- fixed to build with current autoconf
- added openssl support
* Fri Apr 27 2001 - grimmer@suse.de
- fix typo in init script (#7326)
- extracted init script and rc.config entry from diff and added
  them as separate source files instead
- corrected some typos
* Mon Apr 09 2001 - ro@suse.de
- updated start-script
* Mon Apr 09 2001 - ro@suse.de
- update to 4.2.1
- use buildroot
* Thu Feb 08 2001 - ro@suse.de
- use -D_GNU_SOURCE
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Fri Dec 01 2000 - ro@suse.de
- fixed startscript
* Wed Nov 22 2000 - ray@suse.de
- set START_SNMPD="no" in rc.config
- include a default configfile (/etc/ucdsnmpd.conf)
  default rights: read system mib only from the world
* Tue Nov 21 2000 - ro@suse.de
- added Obsoletes and Requires snmp (snmp is dropped)
* Thu Jul 06 2000 - @suse.de
- fix wrong .so entries in manpages
- use __linux__ in preprocessor tests as that's allways predefined
- don't add -Dlinux to CFLAGS for Linux
* Mon Apr 10 2000 - ro@suse.de
- removed extra mib misc/ipfwacc (not in package)
* Mon Apr 10 2000 - ro@suse.de
-update to 4.1.1
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to %%{_mandir}
* Tue Feb 22 2000 - ro@suse.de
- fix building of shared-lib (still has no version)
* Tue Feb 22 2000 - ray@suse.de
- --enable-shared
* Fri Sep 24 1999 - ray@suse.de
- created package, version 4.0.1
